#
# Conditional build:
%bcond_without	openmp		# OpenMP support
%bcond_without	static_libs	# static library
#
Summary:	SoundTouch - sound processing library
Summary(pl.UTF-8):	SoundTouch - biblioteka do przetwarzania dźwięku
Name:		soundtouch
Version:	2.3.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://codeberg.org/soundtouch/soundtouch
Source0:	https://www.surina.net/soundtouch/%{name}-%{version}.tar.gz
# Source0-md5:	f9690985eee4778706a51d06aa935f6a
URL:		http://www.surina.net/soundtouch/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%ifarch %{ix86} %{x8664} x32
# <cpuid.h>
BuildRequires:	gcc >= 6:4.3
%endif
%{?with_openmp:BuildRequires:	libgomp-devel}
BuildRequires:	libstdc++-devel >= 6:4.3
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# gcc runs out of regs in mmx_gcc.cpp
%define		specflags_ia32	-fomit-frame-pointer

%description
SoundTouch is a library for changing tempo, pitch and playback rate of
digital sound.

%description -l pl.UTF-8
SountTouch jest biblioteką do zmiany tempa, wysokości i częstotliwości
odtwarzania dźwięku cyfrowego.

%package devel
Summary:	Header files for SoundTouch library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SoundTouch
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for SoundTouch library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SoundTouch.

%package static
Summary:	Static SoundTouch library
Summary(pl.UTF-8):	Statyczna biblioteka SoundTouch
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SoundTouch library.

%description static -l pl.UTF-8
Statyczna biblioteka SoundTouch.

%package soundstretch
Summary:	SoundStretch - sound processing application
Summary(pl.UTF-8):	SoundStretch - aplikacja do przetwarzania dźwięku
Group:		Applications/Sound
URL:		http://www.surina.net/soundtouch/soundstretch.html
Requires:	%{name} = %{version}-%{release}

%description soundstretch
SoundStretch is a command-line application for changing tempo, pitch
and playback rates of WAV sound files. This program also demonstrates
how the "SoundTouch" library can be used to process sound in own
programs.

%description soundstretch -l pl.UTF-8
SoundStretch to działająca z linii poleceń aplikacja do zmiany tempa,
wysokości i częstotliwości odtwarzania plików dźwiękowych WAV. Ten
program ma także być przykładem, jak można wykorzystywać bibliotekę
SoundTouch do przetwarzania dźwięku we własnych programach.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_openmp:--enable-openmp} \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.html
%attr(755,root,root) %{_libdir}/libSoundTouch.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSoundTouch.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSoundTouch.so
%{_libdir}/libSoundTouch.la
%{_includedir}/soundtouch
%{_aclocaldir}/soundtouch.m4
%{_pkgconfigdir}/soundtouch.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libSoundTouch.a
%endif

%files soundstretch
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/soundstretch
%changelog
* Sat Apr 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/soundtouch.git;a=log;h=master

* Sat Apr 02 2022 Jakub Bogusz <qboosh@pld-linux.org> 3b9bdbc
- updated to 2.3.1

* Mon Apr 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 86630a7
- updated to 2.1.2

* Tue Dec 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 327e89f
- updated to 2.0.0

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 23ab468
- renamed gomp bcond to compiler-agnostic openmp

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> ea99ddb
- updated to 1.9.2 (note: new soname, .pc file name change)
- removed obsolete nosse,x86_64 patches

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 46e18d1
- x32 rebuild
- release 5 (by relup.sh)

* Sat Feb 19 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b023266
- removed TODO (builds on x86_64)
- release 4

* Sat Feb 19 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 66ee814
- now it should apply...

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> fc2cf92
- fixed building on x86_64, release 3

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> df90ff8
- fix for x86_64

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> 2dbb75f
- release 2

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> 41a0a15
- readded with -kb to keep CR/LF as required

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> c654683
- cvs CR/LF stupidity once more...

* Fri Apr 10 2009 Jakub Bogusz <qboosh@pld-linux.org> d4f11f8
- added nosse patch: make library available for non-SSE2 CPUs
- more verbose files, ghost soname symlink

* Fri Apr 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 28d00e5
- -msse2 only for file with SSE-optimized code; the rest must be available for non-sse CPUs

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> 5ff22a1
- TODO added: fix build for x86_64

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> fa68d17
- up to 1.4.0
- BR: pkgconfig
- patches obsolete
- tune-ups in %files

* Sun Mar 08 2009 duddits <duddits@pld-linux.org> d968511
- obsoleted

* Wed Sep 19 2007 Jan Rękorajski <baggins@pld-linux.org> cc9b762
- rel 5

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 41461cd
- rel 2

